<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3 $
 * $Author: tora60 $
 * $Date: 2012-04-15 21:14:21 $
 */

defined('mxMainFileLoaded') or die('access denied');

/* --------- Konfiguration fuer den Block ----------------------------------- */
// $blockfiletitle = MX_THEME;
/* --------- Ende der Konfiguration ----------------------------------------- */

/* Block darf nicht gecached werden */
$mxblockcache = false;

if (!($file = realpath('themes/' . MX_THEME . '/theme.vars.ini'))) {
    $content = '';
    return;
}

global $themesetting;

$requestname = 'thset_' . MX_THEME;
$setting = parse_ini_file($file, true);

$to = basename($_SERVER['PHP_SELF']);
// index.php ist auch php_self=modules.php, deswegen hier index.php verwenden, falls $name leer ist
if ($to == 'modules.php' && empty($_REQUEST['name'])) {
    $to = './';
}

foreach ($setting as $key => $value) {
    if (isset($themesetting[$key])) {
        $defaults[$key] = $themesetting[$key];
    } else {
        $defaults[$key] = array_shift($value);
    }
}

switch (true) {
    case isset($_POST['thmxreset']):
        mxSessionDelVar($requestname);
        return mxredirect($to);
    case isset($_POST[$requestname]):
        $newvals = $_POST[$requestname];
        break;
    default:
        $newvals = mxSessionGetVar($requestname);
}

if ($newvals && is_array($newvals)) {
    foreach ($newvals as $key => $value) {
        $defaults[$key] = $value;
    }
}

ob_start();

?>

<form action="<?php echo $to ?>" method="post">

<?php foreach ($setting as $key => $values) : ?>
<p>
  <label><?php echo $key ?>:</label>
  <select name="<?php echo $requestname ?>[<?php echo $key ?>]">
    <?php foreach ($values as $item) : ?>
      <option value="<?php echo $item ?>" <?php echo (($item == $defaults[$key]) ? ' selected="selected"' : '') ?>>
        <?php echo $item ?>&nbsp;
      </option>
    <?php endforeach ?>
  </select>
</p>
<?php endforeach ?>
<p>
<input type="submit" value="change design" />
<input type="submit" value="reset" name="thmxreset" />
</p>
</form>

<?php
$content = ob_get_clean();

?>
